Package org.kie.internal.builder.conf

# Enum Class AlphaNetworkCompilerOption

java.lang.Object
java.lang.Enum<AlphaNetworkCompilerOption>
org.kie.internal.builder.conf.AlphaNetworkCompilerOption

All Implemented Interfaces:
  `Serializable`, `Comparable<AlphaNetworkCompilerOption>`, `Constable`, `Option`, `SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`, `SingleValueRuleBuilderOption`

public enum AlphaNetworkCompilerOption extends Enum<AlphaNetworkCompilerOption> implements SingleValueRuleBuilderOption
An Enum for AlphaNetworkCompilerOption option. drools.alphaNetworkCompiler = <disabled|inmemory|load> Disabled: Do not generate compiled alpha network InMemory: Generate compiled alpha network after creation of the kiebase and compile it in-memory Load : Assume compiled alpha network is already compiled in the kjar, load it from the classpath DEFAULT = disabled

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  `INMEMORY`
  `LOAD`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<AlphaNetworkCompilerOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`

  ### Fields inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlphaNetworkCompilerOption`
  `determineAlphaNetworkCompilerMode(String mode)`
  `String`
  `getMode()`
  `String`
  `getPropertyName()`
  `static AlphaNetworkCompilerOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlphaNetworkCompilerOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `type`

- ## Enum Constant Details

  - ### DISABLED

    public static final AlphaNetworkCompilerOption DISABLED

  - ### INMEMORY

    public static final AlphaNetworkCompilerOption INMEMORY

  - ### LOAD

    public static final AlphaNetworkCompilerOption LOAD

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<AlphaNetworkCompilerOption> KEY

- ## Method Details

  - ### values

    public static AlphaNetworkCompilerOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlphaNetworkCompilerOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMode

    public String getMode()

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### determineAlphaNetworkCompilerMode

    public static AlphaNetworkCompilerOption determineAlphaNetworkCompilerMode(String mode)